Bug 590543 - The glossary still mentions Xen in ways left over from RHEL 5
Summary: The glossary still mentions Xen in ways left over from RHEL 5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide   
(Show other bugs)
Version: 6.0
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Christopher Curran
QA Contact: ecs-bugs
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 07:02 UTC by Justin Clift
Modified: 2011-12-06 01:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 04:23:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Clift 2010-05-10 07:02:37 UTC
Description of problem:

The glossary still mentions Xen in places.  For example:

"Para-virtualization
    Para-virtualization uses a special kernel, sometimes referred to as the Xen kernel or the kernel-xen package. Para-virtualized guest kernels are run concurrently on the host while using the host's libraries and devices. A para-virtualized installation can have complete access to all devices on the system which can be limited with security settings (SELinux and file controls). Para-virtualization is faster than full virtualization. Para-virtualization can effectively be used for load balancing, provisioning, security and consolidation advantages.
    As of Fedora 9 a special kernel will no longer be needed. Once this patch is accepted into the main Linux tree all Linux kernels after that version will have para-virtualization enabled or available."


Version-Release number of selected component (if applicable):

RHEL 6 public beta Virtualization Guide (April 2010)

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/Virtualization/gloasssary.html#glos-Virtualization-Para_virtualization


Expected results:

References to Xen not to be converted to KVM or removed, except for a few appropriate edge cases.

Comment 2 RHEL Product and Program Management 2010-05-10 08:12:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Christopher Curran 2010-05-11 02:57:39 UTC
Some mention of it should probably still be incorporated. I've removed all technical references but the glossary entries, I think, should stay for the v2v conversion (converting from Xen para-virtualized to KVM on RHEL6). Red Hat Enterprise Linux 6 works as a para-virtualized guest (with the new PV-opts feature) on Red Hat Enterprise Linux 5 Xen.

Modified to make the glossary clearer in build 19.

Chris

Comment 4 Justin Clift 2010-05-11 03:05:25 UTC
Hi Chris, did you remove this bit in the above too?

"As of Fedora 9 a special kernel will no longer be needed. Once this patch
is accepted into the main Linux tree all Linux kernels after that version will
have para-virtualization enabled or available."

Thinking that's probably really outdated.

Comment 5 Christopher Curran 2010-05-11 03:24:32 UTC
Justin,

Yeah, I cut that bit out. This is the new description if you would like to review:

Para-virtualization

Para-virtualization is only available in Red Hat Enterprise Linux 5. Para-virutalization uses software mechanisms to share devices and system resources with specially-designed kernels or newer kernels with the PV-opts features. Para-virtualization on Red Hat Enterprise Linux 5 uses the Xen hypervisor from the kernel-xen package. Para-virtualized guest kernels run concurrently with the host kernel and securely access some the host's libraries and devices.

Red Hat Enterprise Linux 6 can function as a para-virtualized guest for Red Hat Enterprise Linux 5 Xen and other certified hypervisors.


Chris

Comment 6 Justin Clift 2010-05-11 03:35:12 UTC
That's a very very good description.

Extremely clear, and well worded.  :)

Comment 7 Christopher Curran 2010-05-11 05:23:18 UTC
Thanks, I'll try to get this public shortly.

Chris

Comment 8 Michael Doyle 2010-06-28 00:23:00 UTC
Verified it is in Red_Hat_Enterprise_Linux-Virtualization-6-en-US-0-29


Note You need to log in before you can comment on or make changes to this bug.